*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
body{
    color: rgb(80, 77, 77);
}
:root{
    --main-color: rgb(70, 70, 72);
    --bg-card: rgb(242, 237, 237);
    --co-rgb: conic-gradient(blue,red,orange)  ;
}

/* header style */

header{
    width: 100%;
    height: 100px;
}
header .container-header{
    display: flex;
    justify-content: space-around;
    padding: 20px 0;
}
.logo h2{
    background: linear-gradient(90deg, #0d69d3, #f504b5, #b700ff);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 25px;
}
.logo span{
    background: linear-gradient(90deg, #0d69d3, #c104f5, #ff00b3);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 12px;
    font-weight: 700;
}
.container-header ul{
    list-style: none;
    display: flex;
    gap: 40px;
    align-items: center;
}
.container-header ul a{
    color: var(--main-color);
    text-decoration: none;
    font-weight: 600;
    padding-bottom: 5px;
    transition: 0.3s;
}
.container-header ul a:hover{
    color: #b700ff;
    border-bottom: 2px solid #c300ff;
}
.container-header .social{
    display: flex;
    gap: 10px;
    align-items: center;
}
.social a{
    color: var(--main-color);
    font-size: 19px;
    transition: 0.5s;
}
.social a:hover{
    color: #0d69d3;
    font-size: 25px;
}
.social .git:hover{
    color: black;
}
.social .wts:hover{
    color: rgb(57, 213, 5);
}
/* About */
section{
    margin:10% 12% ;
}
.container-about{
    display: flex;
    justify-content: space-between;
}
.container-about h1{
    color: #222044;
    font-size: 40px;
    font-weight: 600;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin-top: 20px;
}
.container-about span{
    background: linear-gradient(90deg,#8a07e2, #0059ff );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
.container-about .img{
    background: conic-gradient(#f504b5, #b700ff, #0d69d3,#f504b5);
    padding: 5px;
    border-radius: 50%;
    display: inline-block;
}
.container-about .img img{
    border-radius: 50%;
    width: 270px;
    height: 270px;
    display: block;
}
/* skills */

.container-skills{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.container-skills h1{
    color: #222044;
    font-weight: 600;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 35px;
}
.container-skills p{
    margin-top: 2%;
}
.container-skills .skills{
    display: flex;
    margin-top: 5%;
    flex-wrap: wrap;
    gap: 50px;
    text-align: center;
    justify-content: center;
}
.container-skills a{
    font-size: 80px;
    cursor: grab;
}
/* project */
.container-projects{
    text-align: center;
}
.container-projects h1{
    color: #222044;
    font-weight: 600;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 35px;
}
.container-projects p{
    margin-top: 2%;
}
.container-projects .cards{
    display: flex;
    flex-wrap: wrap;
    gap: 5%;
    margin-top: 3%;
}
.container-projects .card{
    width: 30%;
    background-color: var(--bg-card);
    border: 2px solid var(--bg-card);
    margin-top: 4%;
    border-radius: 10px;
    padding-bottom: 10px;
}
.container-projects img{
    width: 100%;
    border-radius: 10px 10px 0 0;
}
.container-projects h3{
    color: #222044;
    font-family: Georgia, 'Times New Roman', Times, serif ;
    font-weight: 700;
}
.container-projects span{
    color: black;
}
.container-projects a{
    margin-right: 15px;
    font-weight: 600;
    color: #0059ff;
}
/* footer */

.container-footer{
    background-color: var(--bg-card);
    color: black;
    display: flex;
    padding: 5px;
    justify-content: space-around;
    text-align: center;
}
.container-footer span{
    margin-top: 14px;
}
.container-footer input{
    outline: none;
    border: none;
    background-color: #222044;
    color: white;
    border-radius: 10px;
    padding: 0 10px;
    height: 40px;
    margin-top: 4px;
}
.container-footer button{
    background-color: #0059ff;
    border: none;
    outline: none;
    border-radius: 10px;
    height: 40px;
    width: 50px;
    cursor: pointer;
    transition: 0.5s;
}
.container-footer button:hover{
    background-color: #222044;
    color: white;
}